[jira] [Commented] (PIVOT-998) Update "trunk" to require Java 8

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (PIVOT-998) Update "trunk" to require Java 8

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/PIVOT-998?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16028525#comment-16028525 ]

Roger Whitcomb commented on PIVOT-998:
--------------------------------------

First step:  update the compiler source and target to "1.8" in "trunk":
Sending        build.properties
Transmitting file data .done
Committing transaction...
Committed revision 1796667.

> Update "trunk" to require Java 8
> --------------------------------
>
>                 Key: PIVOT-998
>                 URL: https://issues.apache.org/jira/browse/PIVOT-998
>             Project: Pivot
>          Issue Type: New Feature
>          Components: all
>    Affects Versions: 2.1
>         Environment: All
>            Reporter: Roger Whitcomb
>            Assignee: Roger Whitcomb
>
> Since "trunk" is unreleased as of yet, and Java 8 is quite mature, and Java 9 is due out later this year, and there are features of Java 8 (such as lambdas) that we would like to take advantage of for new development, it seems wise to require Java 8 going forward for the "trunk", while leaving the 2.0.x maintenance branch at Java 6.  Previously we had upgraded to requiring Java 7 for "trunk", but that version is stabilized and no longer being updated...



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)